Bug 65720 - evolution crashes when marking messages read in a vfolder
evolution crashes when marking messages read in a vfolder
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 15:24 EDT by Diego Novillo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-09 21:40:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Novillo 2002-05-30 15:24:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I have a vfolder that collects all unread mail.  Every time I want to mark all 
these messages as read,
evolution dumps core.

The odd thing is that at home I'm running an identical installation (RHL 7.3
with evolution 1.0.3-6) and I never had a problem.  The only difference I can  
think of is that on this machine my home directory is NFS mounted.  I don't run
NFS at home.

The vfolder collect all messages in local folders that have not been read.
To mark the messages I select them all and push Ctrl-k.


Debugging Information:

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New Thread 1024
(LWP 7529)]
[New Thread 2049 (LWP 7545)]
[New Thread 1026 (LWP 7546)]
[New Thread 2051 (LWP 7547)]
[New Thread 4100 (LWP 7551)]
[New Thread 6149 (LWP 7564)]

0x420b4769 in wait4 () from /lib/i686/libc.so.6
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40ec0ca3 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40985ff8 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
#4  0x080a08b3 in segv_redirect ()
#5  0x40ebef75 in pthread_sighandler () from /lib/i686/libpthread.so.0
#6  <signal handler called>
#7  0x4008fd0f in e_mempool_new () from /usr/lib/libcamel.so.0
#8  0x40059f9f in camel_folder_change_info_new () from /usr/lib/libcamel.so.0
#9  0x400884f3 in folder_changed () from /usr/lib/libcamel.so.0
#10 0x40088579 in message_changed () from /usr/lib/libcamel.so.0
#11 0x4006e18e in camel_object_trigger_event () from /usr/lib/libcamel.so.0
#12 0x4006e18e in camel_object_trigger_event () from /usr/lib/libcamel.so.0
#13 0x40057f52 in set_message_flags () from /usr/lib/libcamel.so.0
#14 0x40057fd5 in camel_folder_set_message_flags () from /usr/lib/libcamel.so.0
#15 0x08092232 in mlf_set_message_flags ()
#16 0x40057fd5 in camel_folder_set_message_flags () from /usr/lib/libcamel.so.0
#17 0x4008659c in vee_set_message_flags () from /usr/lib/libcamel.so.0
#18 0x40057fd5 in camel_folder_set_message_flags () from /usr/lib/libcamel.so.0
#19 0x0807fa59 in flag_messages ()
#20 0x40438703 in impl_Bonobo_UIComponent_execVerb ()
   from /usr/lib/libbonobox.so.2
#21 0x403e3cb8 in _ORBIT_skel_Bonobo_UIComponent_execVerb ()
   from /usr/lib/libbonobo.so.2
#22 0x40e32c77 in ORBit_POA_handle_request () from /usr/lib/libORBit.so.0
#23 0x40e35233 in ORBit_handle_incoming_request () from /usr/lib/libORBit.so.0
#24 0x40e35491 in ORBit_handle_incoming_message () from /usr/lib/libORBit.so.0
#25 0x40e4bd69 in giop_main_handle_connection () from /usr/lib/libIIOP.so.0
#26 0x40df0089 in orb_handle_connection () from /usr/lib/liboaf.so.0
#27 0x40ea0f9e in g_io_unix_dispatch () from /usr/lib/libglib-1.2.so.0
#28 0x40ea2773 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#29 0x40ea2d39 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#30 0x40ea2eec in g_main_run () from /usr/lib/libglib-1.2.so.0
#31 0x40c262e3 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#32 0x403f603c in bonobo_main () from /usr/lib/libbonobo.so.2   
#33 0x080a0aeb in main ()
#34 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6
No symbol table info available.
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6
No symbol table info available.
#2  0x40ec0ca3 in waitpid () from /lib/i686/libpthread.so.0
No symbol table info available.
#3  0x40985ff8 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
No symbol table info available.
#4  0x080a08b3 in segv_redirect ()
No symbol table info available.
#5  0x40ebef75 in pthread_sighandler () from /lib/i686/libpthread.so.0
No symbol table info available.
#6  <signal handler called>
No symbol table info available.
#7  0x4008fd0f in e_mempool_new () from /usr/lib/libcamel.so.0
No symbol table info available.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a vfolder that collects all messages from local folders with status
not read.
2. Allow it to collect 300+ messages (although it sometimes crashes with fewer
messages).
3. Go to the folder, select all (or most) messages and push Ctrl-K.
	

Actual Results:  evolution mailer dumps core

Expected Results:  Messages should've been marked read.

Additional info:
Comment 1 Jeremy Katz 2002-06-03 23:34:16 EDT
I haven't seen this one, but it's not an operation I do often... some quick
testing hasn't reproduced it at least.  Could you see if it's still reproducable
with the 1.0.5 packages in gnomehide?  (ftp://people.redhat.com/hp/gnomehide/;
you'll need the updated evolution and gal packages)
Comment 2 Diego Novillo 2002-06-04 15:17:31 EDT
1.0.5 also went poof.  I tried with a vfolder that had ~13,000 messages.
If it helps, I have also seen this bug on ximian's bugzilla database.

BTW, should I leave 1.0.5 in my system?  Will its presence confuse up2date?

Tahnks.
Comment 3 Diego Novillo 2002-06-04 15:20:51 EDT
Another thing I forgot.  I believe the bug is triggered when the vfolder contains
message from more than one physical folder.  But I've also reproduced on vfolders
from single sources.

The ximian bug id is http://bugzilla.ximian.com/show_bug.cgi?id=25558

Comment 4 Jeremy Katz 2002-06-04 15:31:12 EDT
Added myself to the cc list there to watch the progress there.  And leaving
1.0.5 on is fine and doesn't confuse up2date at all (you even get the advantage
of a few more bug fixes :)
Comment 5 Jeremy Katz 2003-02-09 21:40:43 EST
Fixed in 1.2 according to upstream

Note You need to log in before you can comment on or make changes to this bug.